package com.example.livingai.domain.usecases

import androidx.paging.PagingData
import com.example.livingai.domain.model.AnimalProfile
import com.example.livingai.domain.repository.business.AnimalProfileRepository
import kotlinx.coroutines.flow.Flow

class GetAnimalProfiles(
    private val animalProfileRepository: AnimalProfileRepository
) {
    operator fun invoke(): Flow<PagingData<AnimalProfile>> {
        return animalProfileRepository.getAnimalProfiles()
    }
}
